Get usage logs
Retrieve your organization's usage logs with billing information and optional date filtering.
Retrieve your organization's usage logs with billing information and optional date filtering.
Authorization
BearerAuth API key authentication. Get your key from the dashboard.
In: header
Query Parameters
Maximum number of results (max 1000)
100value <= 1000Number of results to skip
0Filter usage from this date (ISO 8601)
date-timeFilter usage until this date (ISO 8601)
date-timeResponse Body
application/json
application/json
curl -X GET "https://example.com/usage"{
"logs": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"duration_sec": 180,
"byok_stt": false,
"byok_llm": false,
"byok_tts": false,
"phone_number": "string",
"agent_name": "string",
"business_name": "string",
"created_at": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"total": 42,
"limit": 100,
"offset": 0
},
"summary": {
"total_calls": 42,
"total_duration_seconds": 7560,
"total_duration_minutes": 126
}
}{
"error": "Invalid API key",
"message": "string"
}Refresh domain status POST
Fetch the latest domain status from Resend and update your local configuration. Use this to check if verification has completed or if any records need attention.
Get organization information GET
Retrieve your organization details including balance, usage statistics, and resource counts. Use `include_children=true` to also list child organizations (for agencies).